Update Corporate Customer Documents
curl --request PUT \
--url https://waas-staging.embedly.ng/api/v1/corporate/customers/{customerId}/documents \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"cac": "<string>",
"tin": "<string>",
"boardResolution": "<string>",
"utilityBill": "<string>",
"memart": "<string>",
"scuml": "<string>"
}
'import requests
url = "https://waas-staging.embedly.ng/api/v1/corporate/customers/{customerId}/documents"
payload = {
"cac": "<string>",
"tin": "<string>",
"boardResolution": "<string>",
"utilityBill": "<string>",
"memart": "<string>",
"scuml": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
cac: '<string>',
tin: '<string>',
boardResolution: '<string>',
utilityBill: '<string>',
memart: '<string>',
scuml: '<string>'
})
};
fetch('https://waas-staging.embedly.ng/api/v1/corporate/customers/{customerId}/documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": "00",
"success": true,
"message": "Updated Successfully",
"data": null
}
Corporate
Update Corporate Customer Documents
This endpoint enables you to update documents for a corporate customer
PUT
/
corporate
/
customers
/
{customerId}
/
documents
Update Corporate Customer Documents
Request Parameters
string
required
The uniqe identifier of the corporate customer. Example:
3fa85f64-5717-4562-b3fc-2c963f66afa6string
The CAC (Certificate of Incorporation) document of the business. Example:
base64-encoded-stringstring
The Tax Identification Number (TIN) document of the business. Example:
base64-encoded-stringstring
The Board Resolution document authorizing account or service usage.
Example:
base64-encoded-stringstring
A recent utility bill serving as proof of address for the business.
Example:
base64-encoded-stringstring
The Memorandum and Articles of Association (MEMART) document of the business.
Example:
base64-encoded-stringstring
The SCUML (Special Control Unit Against Money Laundering) certificate of the
business. Example:
base64-encoded-string{
"code": "00",
"success": true,
"message": "Updated Successfully",
"data": null
}
⌘I